# List billing alert notifications Lists sent billing alert triggered and recovered notifications for a billing alert. ## Request ```curl curl -G https://api.stripe.com/v1/billing/alerts/alrt_12345/notifications \ -u "<>" \ -d customer=cus_12345 ``` ### Response ```json { "object": "list", "data": [ { "id": "threvt_12345", "object": "billing.alert_notification", "action": "triggered", "customer": "cus_12345", "notification_event": "evt_12345", "alert": "alrt_12345", "subscription": "sub_12345", "cadence": "monthly", "value": "123.45", "currency": "usd", "alert_type": "spend_threshold", "meter": null, "aggregation_period_start": null, "aggregation_period_end": null, "livemode": false, "notified_at": 1700000020 } ] } ``` ## Returns Returns a list of billing alert notification history entries. ## Parameters - `customer` (string, required) The customer to list notifications for. - `action` (string, optional) Filter results to only include triggered or recovered notifications. - `cadence` (string, optional) Filter results to only include notifications for the given billing cadence. - `ending_before` (string, optional) A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list. - `limit` (integer, optional) A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. - `meter` (string, optional) Filter results to only include notifications for the given meter. - `notified_at` (object, optional) Filter results according to when the notification was sent. - `notified_at.gt` (integer, optional) Minimum value to filter by (exclusive) - `notified_at.gte` (integer, optional) Minimum value to filter by (inclusive) - `notified_at.lt` (integer, optional) Maximum value to filter by (exclusive) - `notified_at.lte` (integer, optional) Maximum value to filter by (inclusive) - `starting_after` (string, optional) A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list. - `subscription` (string, optional) Filter results to only include notifications for the given subscription.